Bug 638418 - Review Request: ehcache (for cloud package in bug #630179)
Review Request: ehcache (for cloud package in bug #630179)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 630179
  Show dependency treegraph
 
Reported: 2010-09-28 19:41 EDT by Rudd-O DragonFear
Modified: 2010-11-24 10:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 10:38:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2010-09-28 19:41:16 EDT
Description: Cloud.com CloudStack dependency -- FIRST PACKAGE, SEEKING SPONSOR

http://download.cloud.com/foss/fedora/proposed/ehcache-1.2.0.3-3.src.rpm
http://download.cloud.com/foss/fedora/proposed/ehcache.spec
Comment 1 Rudd-O DragonFear 2010-09-28 21:00:05 EDT
Fixed rpmlint warnings:



(the source URL cannot be fixed because the... not so clever release managers at ehcache decided not to include any build system in the sources they release.  so I basically ship with the same source as the JPP project)

http://download.cloud.com/foss/fedora/proposed/ehcache-1.2.0.3-4.src.rpm
Comment 2 Alexander Kurtakov 2010-09-29 04:20:31 EDT
I can review this one and sponsor you but I have few comments:
1. If we don't have a clear way where are the sources coming from or how to generate the tarball it's a nogo.
2. Choose only one of the build systems either ant or maven.
3. Always provide a unversioned javadoc and remove these post/postun sections for javadoc.
4. Drop gcj-support - we don't need it nowadays.
5. Ehcache has seen big restructuring - http://svn.terracotta.org/svn/ehcache/tags/ and http://ehcache.org/roadmap.html# and http://oss.sonatype.org/content/repositories/sourceforge-releases/net/sf/ehcache/ehcache/
6. Update to latest version - 2.2.0
7. Fix file attributes to the defaults for fedora.

And this is only from the first sight :).
Also if you drop gcj you won't need gnu-crypto.
Comment 3 Alexander Kurtakov 2010-11-09 11:15:35 EST
Are you still interested in getting this into Fedora or we should close the bug?
Comment 4 Jason Tibbitts 2010-11-24 10:38:52 EST
There was a comment, then more than a month passed, then a ping, and now more than a week has passed and there's been no response from the submitter.  That's what we consider as stale, so I'll go ahead and close out the stack of submissions.

Note You need to log in before you can comment on or make changes to this bug.